Bug 998047 - Review Request: python-backports - Namespace for backported Python features
Review Request: python-backports - Namespace for backported Python features
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-16 16:30 EDT by Ian Weller
Modified: 2014-03-16 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-16 21:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nb: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ian Weller 2013-08-16 16:30:14 EDT
Spec URL: http://ianweller.fedorapeople.org/SRPMS/python-backports/1.0-1/python-backports.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/python-backports/1.0-1/python-backports-1.0-1.fc19.src.rpm
Fedora Account System Username: ianweller

The backports namespace is a namespace reserved for features backported from
the Python standard library to older versions of Python 2.

Packages that exist in the backports namespace in Fedora should not provide
their own backports/__init__.py, but instead require this package.

Backports to earlier versions of Python 3, if they exist, do not need this
package because of changes made in Python 3.3 in PEP 420


Note that this RPM conflicts with python-backports-ssl_match_hostname. At the same time this package is put in Fedora/EPEL, updates to python-backports-ssl_match_hostname will be made to resolve the conflict.
Comment 1 Ian Weller 2013-08-16 16:32:20 EDT
Blocking FE-Legal to make sure the license tag for this package is set correctly.
Comment 2 Tom "spot" Callaway 2013-08-19 10:44:41 EDT
Public Domain is fine here, lifting FE-Legal.
Comment 4 Nick Bebout 2013-08-19 17:34:35 EDT
I think this is the simplest package review I have ever done :)

This package is APPROVED.
Comment 5 Ian Weller 2013-08-19 17:36:09 EDT
New Package SCM Request
Package Name: python-backports
Short Description: Namespace for backported Python features
Owners: ianweller
Branches: f18 f19 el6
Comment 6 Gwyn Ciesla 2013-08-20 08:15:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.